
;    This module contains structures and definitions
;    associated with DVD ioctls.

;    This module is used in conjunction with ntddcdrm.h which contains the
;    cdrom specific ioctls which will work on CDVD drives

ifndef _NTDDCDVD_
_NTDDCDVD_ equ 1

IOCTL_DVD_BASE              equ FILE_DEVICE_DVD

IOCTL_DVD_START_SESSION     equ CTL_CODE(IOCTL_DVD_BASE, 0400h, METHOD_BUFFERED, FILE_READ_ACCESS)
IOCTL_DVD_READ_KEY          equ CTL_CODE(IOCTL_DVD_BASE, 0401h, METHOD_BUFFERED, FILE_READ_ACCESS)
IOCTL_DVD_SEND_KEY          equ CTL_CODE(IOCTL_DVD_BASE, 0402h, METHOD_BUFFERED, FILE_READ_ACCESS)
IOCTL_DVD_END_SESSION       equ CTL_CODE(IOCTL_DVD_BASE, 0403h, METHOD_BUFFERED, FILE_READ_ACCESS)
IOCTL_DVD_SET_READ_AHEAD    equ CTL_CODE(IOCTL_DVD_BASE, 0404h, METHOD_BUFFERED, FILE_READ_ACCESS)
IOCTL_DVD_GET_REGION        equ CTL_CODE(IOCTL_DVD_BASE, 0405h, METHOD_BUFFERED, FILE_READ_ACCESS)
IOCTL_DVD_SEND_KEY2         equ CTL_CODE(IOCTL_DVD_BASE, 0406h, METHOD_BUFFERED, FILE_READ_ACCESS or FILE_WRITE_ACCESS)

IOCTL_DVD_READ_STRUCTURE    equ CTL_CODE(IOCTL_DVD_BASE, 0450h, METHOD_BUFFERED, FILE_READ_ACCESS)

IOCTL_STORAGE_SET_READ_AHEAD        equ CTL_CODE(IOCTL_STORAGE_BASE, 0100h, METHOD_BUFFERED, FILE_READ_ACCESS)

endif ; _NTDDCDVD_

